org.apache.solr.client.solrj.cloud.autoscaling

## Class PolicyHelper

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.PolicyHelper

    public class PolicyHelper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PolicyHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Map<String,List<String>>` `getReplicaLocations(String collName, Map<String,Object> autoScalingJson, ClusterDataProvider cdp, Map<String,String> optionalPolicyMapping, List<String> shardNames, int repFactor, List<String> nodesList)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PolicyHelper

    public PolicyHelper()

### Method Detail

#### getReplicaLocations

    public static Map<String,List<String>> getReplicaLocations(String collName,
                                                               Map<String,Object> autoScalingJson,
                                                               ClusterDataProvider cdp,
                                                               Map<String,String> optionalPolicyMapping,
                                                               List<String> shardNames,
                                                               int repFactor,
                                                               List<String> nodesList)